XScreenSaver(1)

NAME
MetaBalls - draws 2D metaballs

SYNOPSIS
MetaBalls [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--ncolors number] [--count number] [--delay number] [--cycles number] [--radius number] [--delta number] [--fps]

DESCRIPTION
This hack draws 2D metaballs to the screen by calculating the sum of the colors of all metaballs covering a pixel.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--ncolors number
    Number of Colors. Default: 256.

--count number
    Number of MetaBalls.    2 - 255.  Default: 10.

--delay number
    Per-frame delay, in microseconds. Default: 5000 (0.005 seconds.).

--cycles number
    Duration. 100 - 3000. Default: 1000.

--radius number
    MetaBall Radius. 2 - 100. Default: 100.

--delta number
    MetaBall Movement. 1 - 20. Default: 3.

--fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1),
http://demo-effects.sourceforge.net/

COPYRIGHT
Copyright © 2002-2003 by W.P. van Paassen. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
W.P. van Paassen